## org.eclipse.emf.transaction.internal
Class ValidateEditOption

    java.lang.Object
      org.eclipse.emf.transaction.util.BasicTransactionOptionMetadata
          org.eclipse.emf.transaction.internal.ValidateEditOption

All Implemented Interfaces:
  Transaction.OptionMetadata

    public class ValidateEditOption

extends BasicTransactionOptionMetadata

Metadata implementation for the non-trivial complexity of the `Transaction.OPTION_VALIDATE_EDIT` transaction option.

Since:
  1.3

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.Transaction.OptionMetadata
`Transaction.OptionMetadata.Registry`

Constructor Summary
`ValidateEditOption()` Initializes me.

Method Summary
`boolean` `sameSetting(Map<?,?> options1, Map<?,?> options2)` Queries whether the specified options maps have the same value of my option, whether that be implicit or explicit.

Methods inherited from class org.eclipse.emf.transaction.util.BasicTransactionOptionMetadata
`getDefaultValue, getOption, getType, getValue, inherit, isHereditary, isSet, isTag, newBoolean, safeClass, safeEquals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidateEditOption

    public ValidateEditOption()

  Initializes me.

Method Detail

### sameSetting

    public boolean sameSetting(Map<?,?> options1,
                               Map<?,?> options2)

  Description copied from interface: `Transaction.OptionMetadata`
  Queries whether the specified options maps have the same value of my option, whether that be implicit or explicit. That is, this method accounts for default values and such complex cases as the `Transaction.OPTION_VALIDATE_EDIT` in which values of two different types may mean the same thing.

  Specified by:
    `sameSetting` in interface `Transaction.OptionMetadata`
  Overrides:
    `sameSetting` in class `BasicTransactionOptionMetadata`
  Parameters:
    `options1` - an options map
    `options2` - another options map
  Returns:
    whether the two maps have the same setting of my option

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.